#ifndef BIBUNM_CHANNELER_H
#define BIBUNM_CHANNELER_H

#include "bibun_messenging/receiver.h"
#include "bibun_messenging/sender.h"
#include "zmq_bazooka/sockets.h"

namespace bibunm
{

class Channeler: private Receiver, private Sender
{
public:
   Channeler();

   virtual ~Channeler();
};

}

#endif // BIBUNM_CHANNELER_H
